%global upstream_name qt5-PythonQt-2.2-9

Name:           qt5-pythonqt
Version:        2.2
Release:        10%{?dist}
Summary:        Lightweight script binding of the Qt framework to the Python language
Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://pythonqt.sourceforge.net
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/688/%{upstream_name}.zip
# There is Python-2.7 in Fedora, not Python-2.6
#Patch0:         PythonQt-r10.patch
# Patch in the "make install" command
#Patch1:         pythonqt-2.1-install.patch
BuildRequires:  python2-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  xorg-x11-server-Xvfb

%description
PythonQt is a dynamic and lightweight script binding of the Qt framework
to the Python language. It can be easily embedded into Qt applications and
makes any QObject derived object scriptable via Python without the need of
wrapper code generation.

%package devel
Summary:        Lightweight script binding of the Qt framework to the Python language
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and development libraries for pythonqt package. PythonQt
is a dynamic and lightweight script binding of the Qt framework
to the Python language. 

%package generator
Summary:        Lightweight script binding of the Qt framework to the Python language
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description generator
PythonQt wrapper generator. 

%global debug_package %{nil}

%prep
%setup -q -n %{upstream_name}
#%patch0 -p1 -b .r10
#%patch1 -p1 -b .install

# Fix README end-of-line encoding
sed -i 's/\r//' README

%build
%{_qt5_qmake} "RPMBUILDING=true"

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README COPYING
%{_qt5_libdir}/libPythonQt.so.*
%{_qt5_libdir}/libPythonQt_QtAll.so.*

%files devel
%{_qt5_headerdir}/PythonQt/
%{_qt5_libdir}/libPythonQt.so
%{_qt5_libdir}/libPythonQt_QtAll.so
%{_qt5_archdatadir}/mkspecs/features/pythonqt.prf

%files generator
/usr/bin/pythonqt_generator


%changelog
* Mon Nov 28 2016 Alexis Jeandet <alexis.jeandet@member.fsf.org> 2.2-10
- Build against Qt5.7.

* Tue Apr 19 2016 Alexis Jeandet <alexis.jeandet@member.fsf.org> 2.2-9
- Added Qt5.6 support.

* Fri Jan 22 2016 Alexis Jeandet <alexis.jeandet@member.fsf.org> 2.2-8
- Added Qt5.5 support.

* Tue Dec 30 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> 2.2-7
- Added generator subpacket.

* Wed Dec 10 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.2-5
- Updated from upstream to get qt5.3 support.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jan Kaluza <jkaluza@redhat.com> - 2.1-2
- improve devel package description
- add --as-needed to linker flags
- compile with -fno-strict-aliasing to workaround Python
  bug http://www.python.org/dev/peps/pep-3123/

* Wed Jun 05 2013 Jan Kaluza <jkaluza@redhat.com> - 2.1-1
- Initial Fedora packaging
